﻿<%@ Control Language="C#" AutoEventWireup="true" ClassName="Lers.Web.Client.Header" %>

<style type="text/css">
	/* Делаем из картинки блочный элемент, чтобы убрать все отступы внутри таблицы*/
	#header table
	{
		border-collapse: collapse;
	}

	#header img
	{
		display: block;
	}

	/* Ячейка таблицы с логотипом*/
	#header #header_part_logo
	{
		padding-left: 10px;
	}

	#header #header_part_title
	{
		padding-left: 10px;
		width: 100%;	
	}
</style>

<table>
	<tr>
		<td id="header_part_logo">
			<asp:Literal ID="companyLogo" runat="server"></asp:Literal>
		</td>
		<td id="header_part_title">
			<asp:Label ID="headerTitle" runat="server" Height="17" EnableViewState="false" />
		</td>
	</tr>
</table>

<script runat="server">

		/// <summary>
		/// Наименование сайта
		/// </summary>
		string applicationTittle = "";

		/// <summary>
		/// Путь к логотипу компании
		/// </summary>
		string companyLogoFile = "";

		/// <summary>
		/// Наименование компании
		/// </summary>
		string companyTitle = "";

		/// <summary>
		/// Адрес компании
		/// </summary>
		string companyUrl = "/";

		/// <summary>
		/// Обработчик события PreRender, происходит перед формированием конечной разметки страницы. Событие не происходит при обратном вызове CallBack, но происходит при PostBack.
		/// </summary>
		protected void Page_PreRender(object sender, EventArgs e)
		{
			if (Lers.Web.Client.MainMaster.IsTerminating)
				return;

			InitializeSettings();

			// Заголовок сайта
			if (headerTitle != null)
				headerTitle.Text = this.applicationTittle;

			SetCompanyLogo();
		}

		/// <summary>
		/// Установка логотипа компании
		/// </summary>
		private void SetCompanyLogo()
		{
			// Логотип компании
			if (this.companyLogoFile == "" || !System.IO.File.Exists(System.IO.Path.Combine(HttpContext.Current.Server.MapPath("~"), this.companyLogoFile.TrimStart(new char[] { '/' }))))
			{
				companyLogo.Visible = false;
				return;
			}

			// Альтернативный текст
			string alternateText = "";

			if (this.companyTitle == "")
				alternateText = "Компания";
			else
				alternateText = companyTitle;

			companyLogo.Text = string.Format(@"<a href='{0}' title='{1}'>
													<img alt='{2}' src='{3}' />
												</a>",
									companyUrl, companyTitle, alternateText, this.companyLogoFile);
		}

		/// <summary>
		/// Инициализирует параметры
		/// </summary>
		private void InitializeSettings()
		{
			// Секция настроек для веб-интерфейса
			var settings = ConfigurationManager.GetSection("lersAppSettings") as NameValueCollection;

			if (settings == null)
				return;

			this.applicationTittle = settings["ApplicationTitle"] ?? "";
			this.companyLogoFile = settings["CompanyLogoFile"] ?? "";
			companyTitle = settings["CompanyTitle"] ?? "";

			// Сайт компании
			this.companyUrl = settings["CompanyUrl"] ?? "";

			if (this.companyUrl != "" && !this.companyUrl.StartsWith("http://"))
				this.companyUrl = "http://" + this.companyUrl;

			if (this.companyUrl == "")
				this.companyUrl = "/";
		}
		
</script>